Invalid items
Invalid items are items that cannot be selected. They appear disabled on the wheels and when clicked, a selection will not happen.
Invalid items can be set using the invalid option or the data option. The invalid option takes an array of values and disables those values. When using the data option, each item can take a disables property, that disables that item.
Invalid example
<script setup>
import { MbscSelect } from '@mobiscroll/select';
import '@mobiscroll/vue/dist/css/mobiscroll.min.css';
const myData = [
{ text: 'Atlanta', value: 'atl' },
{ text: 'Berlin', value: 'ber' },
{ text: 'Boston', value: 'bos' },
{ text: 'Chicago', value: 'chi', disabled: true },
{ text: 'London', value: 'lon', disabled: true },
{ text: 'Los Angeles', value: 'la' },
{ text: 'New York', value: 'ny' },
{ text: 'Paris', value: 'par' },
{ text: 'San Francisco', value: 'sf' }
];
const myInvalid = ['par', 'ny'];
</script>
<template>
<MbscSelect :data="myData" :invalid="myInvalid" />
</template>

Invalid items
Invalid items are items that cannot be selected. They appear disabled on the wheels and when clicked, a selection will not happen.
Invalid items can be set using the invalid option or the data option. The invalid option takes an array of values and disables those values. When using the data option, each item can take a disables property, that disables that item.
Invalid example
<mbsc-select [(ngModel)]="selectedExtra" [data]="extras" [invalid]="myInvalid"></mbsc-select>
import { Component } from '@angular/core';
@Component(...)
export class MyComponent {
public extras = [
{ value: 'sug', text: 'Sugar'},
{ value: 'hon', disabled: true, text: 'Honey'},
{ value: 'cre', text: 'Cream' }
];
public myInvalid = ['sug'];
public selectedExtra: string;
}

Invalid items
Invalid items are items that cannot be selected. They appear disabled on the wheels and when clicked, a selection will not happen.
Invalid items can be set using the invalid option or the data option. The invalid option takes an array of values and disables those values. When using the data option, each item can take a disables property, that disables that item.
Invalid example
import { useState } from 'react';
import { Select } from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';
function App() {
// standard react magic...
const [selectedExtra, setSelectedExtra] = useState();
const selectedChange = (ev) => { setSelectedExtra(ev.value); };
// the options to choose from
const extras = useState([
{ value: 'sug', text: 'Sugar'},
{ value: 'hon', disabled: true, text: 'Honey'},
{ value: 'cre', text: 'Cream' }
]);
const invalid = ['sug'];
return <Select value={selectedExtra} onChange={selectedChange} data={extras} invalid={invalid} />
}